AbstractOutputTarget (LogKit API)
Keywords: org.apache.log.output.AbstractOutputTarget,AbstractOutputTarget class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log.output
Class AbstractOutputTarget

    java.lang.Object
      |
      +--org.apache.log.output.AbstractTarget
            |
            +--org.apache.log.output.AbstractOutputTarget

All Implemented Interfaces:
  ErrorAware, LogTarget

Direct Known Subclasses:
  DatagramOutputTarget, NullOutputLogTarget, SMTPOutputLogTarget, SocketOutputTarget, StreamTarget, WriterTarget

public abstract class AbstractOutputTarget
extends AbstractTarget

Abstract output target. Any new output target that is writing to a single connected resource should extend this class directly or indirectly.

Author:
  Avalon Development Team, Peter Donald

Field Summary
`protected Formatter` | `m_formatter` Deprecated. You should not be directly accessing this attribute as it will become private next release

Constructor Summary
`AbstractOutputTarget()` Parameterless constructor.
`AbstractOutputTarget(Formatter formatter)` Creation of a new abstract output target instance.

Method Summary
`void` | `close()` Shutdown target.
`protected void` | `doProcessEvent(LogEvent event)` Process a log event.
`Formatter` | `getFormatter()` Deprecated. Access to formatter is not advised and this method will be removed in future iterations. It remains only for backwards compatability.
`protected void` | `open()` Startup log session.
`protected void` | `output(String data)` Deprecated. User should overide write() instead of output(). Output exists for backwards compatability and will be removed in future.
`void` | `setFormatter(Formatter formatter)` Deprecated. In future this method will become protected access.
`protected void` | `write(String data)` Abstract method to write data.

Methods inherited from class org.apache.log.output.AbstractTarget
`error, getErrorHandler, isOpen, processEvent, setErrorHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_formatter

    protected Formatter m_formatter

  Deprecated. You should not be directly accessing this attribute as it will become private next release

  Formatter for target.

Constructor Detail

### AbstractOutputTarget

    public AbstractOutputTarget()

  Parameterless constructor.

### AbstractOutputTarget

    public AbstractOutputTarget(Formatter formatter)

  Creation of a new abstract output target instance.

Parameters:
  `formatter` - the formatter to apply

Method Detail

### getFormatter

    public Formatter getFormatter()

  Deprecated. Access to formatter is not advised and this method will be removed in future iterations. It remains only for backwards compatability.

  Retrieve the associated formatter.

  Returns:
    the formatter

### setFormatter

    public void setFormatter(Formatter formatter)

  Deprecated. In future this method will become protected access.

  Set the formatter.

  Parameters:
    `formatter` - the formatter

### write

    protected void write(String data)

  Abstract method to write data.

  Parameters:
    `data` - the data to be output

### output

    protected void output(String data)

  Deprecated. User should overide write() instead of output(). Output exists for backwards compatability and will be removed in future.

  Abstract method that will output event.

  Parameters:
    `data` - the data to be output

### doProcessEvent

    protected void doProcessEvent(LogEvent event)

  Process a log event.

  Specified by:
    `doProcessEvent` in class `AbstractTarget`
  Parameters:
    `event` - the event to process

### open

    protected void open()

  Startup log session.

  Overrides:
    `open` in class `AbstractTarget`

### close

    public void close()

  Shutdown target. Attempting to write to target after close() will cause errors to be logged.

  Overrides:
    `close` in class `AbstractTarget`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Jakarta Project. All Rights Reserved.